diff --git a/DPCIManager.xcodeproj/project.pbxproj b/DPCIManager.xcodeproj/project.pbxproj
index e991d1f..44eb9b1 100644
--- a/DPCIManager.xcodeproj/project.pbxproj
+++ b/DPCIManager.xcodeproj/project.pbxproj
@@ -407,7 +407,7 @@
 				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
 				COPY_PHASE_STRIP = NO;
 				CURRENT_MARKETING_VERSION = 2.0;
-				CURRENT_PROJECT_VERSION = 311;
+				CURRENT_PROJECT_VERSION = 315;
 				ENABLE_STRICT_OBJC_MSGSEND = YES;
 				ENABLE_TESTABILITY = YES;
 				GCC_C_LANGUAGE_STANDARD = gnu99;
@@ -457,7 +457,7 @@
 				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
 				COPY_PHASE_STRIP = YES;
 				CURRENT_MARKETING_VERSION = 2.0;
-				CURRENT_PROJECT_VERSION = 311;
+				CURRENT_PROJECT_VERSION = 315;
 				DEBUG_INFORMATION_FORMAT = dwarf;
 				DEPLOYMENT_POSTPROCESSING = YES;
 				ENABLE_STRICT_OBJC_MSGSEND = YES;
diff --git a/DPCIManager/AppDelegate.h b/DPCIManager/AppDelegate.h
index e500051..9e3ff67 100644
--- a/DPCIManager/AppDelegate.h
+++ b/DPCIManager/AppDelegate.h
@@ -42,6 +42,7 @@ typedef struct {
 -(IBAction)rebuild:(id)sender;
 -(IBAction)install:(id)sender;
 -(IBAction)fetchvBIOS:(id)sender;
+-(IBAction)savePCIInfo:(id)sender;
 -(void)logTask:(NSData *)data;
 
 @end
diff --git a/DPCIManager/AppDelegate.m b/DPCIManager/AppDelegate.m
index 4bbd226..b90f11a 100644
--- a/DPCIManager/AppDelegate.m
+++ b/DPCIManager/AppDelegate.m
@@ -223,6 +223,25 @@
         IOObjectRelease(service);
     }
 }
+
+-(IBAction)savePCIInfo:(id)sender{
+    NSArray *devices = [pciDevice readIDs];
+    NSMutableString *deviceList = NSMutableString.string;
+    for (pciDevice *device in [devices sortedArrayUsingComparator:^NSComparisonResult(id obj1, id obj2) { return [obj1 bdf] - [obj2 bdf]; }]){
+        [deviceList appendString:device.lspciString];
+        [deviceList appendString:@"\n"];
+    }
+    // Save info
+    NSSavePanel *sp = NSSavePanel.savePanel;
+    [sp setDirectoryURL:[NSURL URLWithString:[NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES) firstObject]]];
+    [sp setAllowedFileTypes:@[@"txt"]];
+    [sp beginSheetModalForWindow:[NSApp mainWindow] completionHandler:^(NSInteger result){
+        if(result == NSFileHandlingPanelOKButton){
+            [sp orderOut:self];
+            [deviceList writeToURL:sp.URL atomically:YES encoding:NSUTF8StringEncoding error:nil];
+        }
+    }];
+}
 #pragma mark Logging
 -(void)readLog:(NSData *)data{
     [[[NSString alloc] initWithData:data encoding:NSUTF8StringEncoding] enumerateLinesUsingBlock:^(NSString *line, BOOL *stop){
diff --git a/DPCIManager/en.lproj/MainMenu.xib b/DPCIManager/en.lproj/MainMenu.xib
index 4f74dbe..eeedf0d 100644
--- a/DPCIManager/en.lproj/MainMenu.xib
+++ b/DPCIManager/en.lproj/MainMenu.xib
@@ -1,9 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<document type="com.apple.InterfaceBuilder3.Cocoa.XIB" version="3.0" toolsVersion="14313.18" targetRuntime="MacOSX.Cocoa" propertyAccessControl="none" useAutolayout="YES">
+<document type="com.apple.InterfaceBuilder3.Cocoa.XIB" version="3.0" toolsVersion="4439" targetRuntime="MacOSX.Cocoa" propertyAccessControl="none" useAutolayout="YES">
     <dependencies>
-        <deployment identifier="macosx"/>
-        <plugIn identifier="com.apple.InterfaceBuilder.CocoaPlugin" version="14313.18"/>
-        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
+        <plugIn identifier="com.apple.InterfaceBuilder.CocoaPlugin" version="4439"/>
     </dependencies>
     <objects>
         <customObject id="-2" userLabel="File's Owner" customClass="NSApplication">
@@ -94,7 +92,7 @@
                             </menuItem>
                             <menuItem title="Save…" keyEquivalent="s" id="75">
                                 <connections>
-                                    <action selector="saveDocument:" target="-1" id="362"/>
+                                    <action selector="savePCIInfo:" target="494" id="gBW-5M-Zn9"/>
                                 </connections>
                             </menuItem>
                             <menuItem title="Revert to Saved" id="112">
@@ -1057,7 +1055,7 @@
                         <rect key="frame" x="0.0" y="0.0" width="655" height="177"/>
                         <clipView key="contentView" copiesOnScroll="NO" id="4Sy-cz-lrQ">
                             <rect key="frame" x="1" y="0.0" width="653" height="176"/>
-                            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
+                            <autoresizingMask key="autoresizingMask"/>
                             <subviews>
                                 <tableView verticalHuggingPriority="750" allowsExpansionToolTips="YES" columnAutoresizingStyle="lastColumnOnly" columnReordering="NO" autosaveColumns="NO" typeSelect="NO" headerView="1611" id="1609">
                                     <rect key="frame" x="0.0" y="0.0" width="653" height="153"/>
@@ -1205,7 +1203,7 @@
                     <rect key="frame" x="0.0" y="0.0" width="295" height="133"/>
                     <clipView key="contentView" id="9Dh-lM-uBf">
                         <rect key="frame" x="1" y="1" width="293" height="131"/>
-                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
+                        <autoresizingMask key="autoresizingMask"/>
                         <subviews>
                             <outlineView verticalHuggingPriority="750" allowsExpansionToolTips="YES" columnAutoresizingStyle="lastColumnOnly" selectionHighlightStyle="none" columnReordering="NO" multipleSelection="NO" emptySelection="NO" autosaveColumns="NO" typeSelect="NO" rowSizeStyle="automatic" viewBased="YES" indentationPerLevel="16" outlineTableColumn="1684" id="1680">
                                 <rect key="frame" x="0.0" y="0.0" width="293" height="131"/>
@@ -1330,12 +1328,12 @@
     </objects>
     <resources>
         <image name="NSActionTemplate" width="14" height="14"/>
-        <image name="NSAdvanced" width="128" height="128"/>
-        <image name="NSComputer" width="128" height="128"/>
-        <image name="NSFolderBurnable" width="128" height="128"/>
-        <image name="NSFolderSmart" width="128" height="128"/>
-        <image name="NSMultipleDocuments" width="128" height="128"/>
-        <image name="NSNetwork" width="128" height="128"/>
+        <image name="NSAdvanced" width="32" height="32"/>
+        <image name="NSComputer" width="32" height="32"/>
+        <image name="NSFolderBurnable" width="32" height="32"/>
+        <image name="NSFolderSmart" width="32" height="32"/>
+        <image name="NSMultipleDocuments" width="32" height="32"/>
+        <image name="NSNetwork" width="32" height="32"/>
         <image name="NSQuickLookTemplate" width="19" height="12"/>
         <image name="NSRevealFreestandingTemplate" width="14" height="14"/>
         <image name="NSStopProgressTemplate" width="11" height="11"/>
